local require = GLOBAL.require
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local ACTIONS = GLOBAL.ACTIONS
local Action = GLOBAL.Action

STRINGS.CHARACTERS.GENERIC.DESCRIBE.IKA = ("It's Weavlie!")
STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.IKA = ("It's Weavlie!")
STRINGS.CHARACTERS.WAXWELL.DESCRIBE.IKA = ("It's Weavlie!")
STRINGS.CHARACTERS.WOODIE.DESCRIBE.IKA = ("It's Weavlie!")
STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.IKA = ("It's Weavlie!")
STRINGS.CHARACTERS.WILLOW.DESCRIBE.IKA = ("It's Weavlie!")
STRINGS.CHARACTERS.WENDY.DESCRIBE.IKA = ("It's Weavlie!")
STRINGS.CHARACTERS.WX78.DESCRIBE.IKA = ("It's Weavlie!")
--STRINGS.CHARACTERS.WES.DESCRIBE.IKA = (" ")


PrefabFiles = {
	"ika",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/ika.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/ika.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/ika.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/ika.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/ika_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/ika_silho.xml" ),

    Asset( "IMAGE", "bigportraits/ika.tex" ),
    Asset( "ATLAS", "bigportraits/ika.xml" ),
	
	Asset( "ATLAS", "images/musume.xml" ),
	Asset( "IMAGE", "images/musume.tex" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ika.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ika.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_ika.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_ika.xml" ),

}

local require = GLOBAL.require
GLOBAL.STRINGS.CHARACTERS.IKA = require "speech_ika"

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.ika = "The Pokemon!"
GLOBAL.STRINGS.CHARACTER_NAMES.ika = "Weavile"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.ika = "*Not a picky eater!\n*A glass cannon!\n*Slight health regen!"
GLOBAL.STRINGS.CHARACTER_QUOTES.ika = "\"Weav!\""

-- Let the game know ika is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "Weavile")

RemapSoundEvent( "dontstarve/characters/ika/death_voice", "musume/sound/death_voice" )
RemapSoundEvent( "dontstarve/characters/ika/hurt", "musume/sound/hurt" )
RemapSoundEvent( "dontstarve/characters/ika/talk_LP", "musume/sound/talk_LP" )


AddMinimapAtlas("images/musume.xml")

GLOBAL.STRINGS.NAMES.IKA = "Weavile"

AddModCharacter("ika")

